From b2f15110b697151363f28ad0e5a13b7279986ff5 Mon Sep 17 00:00:00 2001
From: Andrew Benson <abenson+void@gmail.com>
Date: Fri, 5 Jul 2019 17:44:00 -0500
Subject: [PATCH] pahole: update to 1.15.

---
 srcpkgs/pahole/template | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/pahole/template b/srcpkgs/pahole/template
index f8b412862ba..83d4f3322b4 100644
--- a/srcpkgs/pahole/template
+++ b/srcpkgs/pahole/template
@@ -1,7 +1,8 @@
 # Template file for 'pahole'
 pkgname=pahole
-version=1.12
+version=1.15
 revision=1
+_bpfver=0.0.3
 build_style=cmake
 configure_args="-D__LIB=lib"
 makedepends="elfutils-devel zlib-devel"
@@ -9,14 +10,18 @@ short_desc="Various DWARF utils"
 maintainer="Andrew Benson <abenson+void@gmail.com>"
 license="GPL-2.0-only"
 homepage="http://git.kernel.org/?p=devel/pahole/pahole.git;a=summary"
-distfiles="https://git.kernel.org/pub/scm/devel/pahole/pahole.git/snapshot/pahole-${version}.tar.gz"
-checksum=2452464cbfdbaece6187d7860000fe8ef24b7271f88122cf540d3e0ab4a644d1
+distfiles="https://git.kernel.org/pub/scm/devel/pahole/pahole.git/snapshot/pahole-${version}.tar.gz
+ https://github.com/libbpf/libbpf/archive/v${_bpfver}.tar.gz"
+checksum="a84e183a0ef652e4198a161a20d9eeb45d3c153f5208e1cea833e1f28ae6207d
+ 972da73f4774be062a112fc0c9ebb5d238b775ed4512df5ce2cf20c8333929d3"
 
 case $XBPS_TARGET_MACHINE in
 	*-musl) makedepends+=" musl-obstack argp-standalone"
 esac
 
 pre_configure() {
+	rm -rf lib/bpf
+	mv "../libbpf-${_bpfver}/" "lib/bpf"
 	case $XBPS_TARGET_MACHINE in
 		*-musl) sed -i CMakeLists.txt -e "/^target_link_libraries/s/)/ obstack argp)/"
 	esac
